Skip to main content

Responses

Given a list of input prompts, the model will return one or more predicted completions for each. This endpoint is optimized for processing multiple independent inputs in a single request.

Create Responses

POST https://api.sybil.com/v1/responses

Creates completions for the provided list of input prompts.

Request Body

NameTypeDescription
modelstringRequired. The name of the model to use.
inputarrayRequired. the prompt(s) sent to the model.
max_tokensintegerThe maximum number of tokens to generate per response.
temperaturenumberWhat sampling temperature to use, between 0 and 2.
top_pnumberAn alternative to sampling with temperature, called nucleus sampling.
streambooleanWhether to stream back partial progress.

Example Request

curl https://api.sybil.com/v1/responses \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $SYBIL_API_KEY" \
-d '{
"model": "DeepSeek-R3",
"input": [
"What is the capital of France?",
"What is the capital of Spain?"
],
"max_tokens": 50,
"temperature": 0.7
}'

Response Format

{
"model": "DeepSeek-R3",
"choices": [
{
"index": 0,
"text": "The capital of France is Paris.",
"finish_reason": "stop"
},
{
"index": 1,
"text": "The capital of Spain is Madrid.",
"finish_reason": "stop"
}
],
"usage": {
"input_tokens": 14,
"output_tokens": 16,
"total_tokens": 30
}
}